## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1

%global crate sccache

Name:           rust-sccache
Version:        0.10.0
Release:        %autorelease
Summary:        Ccache-like tool

License:        Apache-2.0
URL:            https://crates.io/crates/sccache
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          sccache-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * Don't add all-target to default
# * Bump gzp version number
# * Bump object version number
# * Bump which version number
# * Remove dist-server feature and rouille dependency
# * Remove ar dependency
Patch:          sccache-fix-metadata.diff
# * Support object crates >= 0.33
# * https://github.com/mozilla/sccache/pull/2374
Patch3:         sccache-support-newer-object-crates.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Sccache is a ccache-like tool. It is used as a compiler wrapper and
avoids compilation when possible. Sccache has the capability to utilize
caching in remote storage environments, including various cloud storage
options, or alternatively, in local storage.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# FIXME: paste output of %%cargo_license_summary here
License:        # FIXME
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc CODE_OF_CONDUCT.md
%doc README.md
%{_bindir}/sccache

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CODE_OF_CONDUCT.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dist-client-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dist-client-devel %{_description}

This package contains library source intended for building other packages which
use the "dist-client" feature of the "%{crate}" crate.

%files       -n %{name}+dist-client-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+flate2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+flate2-devel %{_description}

This package contains library source intended for building other packages which
use the "flate2" feature of the "%{crate}" crate.

%files       -n %{name}+flate2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+http-body-util-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+http-body-util-devel %{_description}

This package contains library source intended for building other packages which
use the "http-body-util" feature of the "%{crate}" crate.

%files       -n %{name}+http-body-util-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+hyper-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+hyper-devel %{_description}

This package contains library source intended for building other packages which
use the "hyper" feature of the "%{crate}" crate.

%files       -n %{name}+hyper-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+hyper-util-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+hyper-util-devel %{_description}

This package contains library source intended for building other packages which
use the "hyper-util" feature of the "%{crate}" crate.

%files       -n %{name}+hyper-util-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+opendal-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+opendal-devel %{_description}

This package contains library source intended for building other packages which
use the "opendal" feature of the "%{crate}" crate.

%files       -n %{name}+opendal-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+reqwest-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+reqwest-devel %{_description}

This package contains library source intended for building other packages which
use the "reqwest" feature of the "%{crate}" crate.

%files       -n %{name}+reqwest-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+sha2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+sha2-devel %{_description}

This package contains library source intended for building other packages which
use the "sha2" feature of the "%{crate}" crate.

%files       -n %{name}+sha2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unstable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable" feature of the "%{crate}" crate.

%files       -n %{name}+unstable-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+url-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+url-devel %{_description}

This package contains library source intended for building other packages which
use the "url" feature of the "%{crate}" crate.

%files       -n %{name}+url-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
rm -f tests/oauth.rs

%generate_buildrequires
%cargo_generate_buildrequires -n -f dist-client,memcached,native-zlib,webdav

%build
%cargo_build -n -f dist-client,memcached,native-zlib,webdav
%{cargo_license_summary -n -f dist-client,memcached,native-zlib,webdav}
%{cargo_license -n -f dist-client,memcached,native-zlib,webdav} > LICENSE.dependencies

%install
%cargo_install -n -f dist-client,memcached,native-zlib,webdav

%if %{with check}
%check
# * Skip tests which use test-crate which isn't part of the source crate.
# * Skip tests using ar crate
# * Skip tests trying to use rustup
%{cargo_test -n -f dist-client,memcached,native-zlib,webdav -- -- %{shrink:
    --skip test_rust_cargo_build
    --skip test_rust_cargo_build_readonly
    --skip test_rust_cargo_check
    --skip test_rust_cargo_check_readonly
    --skip test_rust_cargo_cmd_readonly_preemtive_block
    --skip test_rust_cargo_run_with_env_dep_parsing
    --skip test_adv_cache_hit_rate
    --skip test_cache_hit_rate
    --skip test_generate_hash_key
    --skip test_rlib_dep_reader_call
}}
%endif

%changelog
## START: Generated by rpmautospec
* Wed Apr 23 2025 Andreas Schneider <asn@redhat.com> - 0.10.0-3
- Don't require "all"

* Mon Apr 21 2025 Andreas Schneider <asn@redhat.com> - 0.10.0-2
- Use opendal 0.53.1

* Wed Apr 02 2025 Andreas Schneider <asn@redhat.com> - 0.10.0-1
- The big bang!
## END: Generated by rpmautospec
